# spec file for package glaurung121 (Version 1.2.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           glaurung121
Version:        1.2.1
Release:        1.4
License:        GPL v2
Group:          Amusements/Games/Board/Chess
URL:            http://www.glaurungchess.com/
Source:         %{name}-src.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	%{name}.ini
Source5:	book.bin
Patch0:		%{name}-gcc4.x.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
This is the previous stable version of glaurung and also a very strong chess engine.
Glaurung 1.2.1 is probably slightly weaker than glaurung 2, but has a much more entertaining style of play.
It uses the UCI (universal chess interface), for chess engines as communication protocol.
This means to play against it, you have to use an UCI capable interface, 
like knights or an xboard adapter like polyglot. 
glaurung can be found at: 

http://www.glaurungchess.com/

Authors:
--------
		Tord Romstad <tord@glaurungchess.com>



%prep
%setup -q -n src
# fix a few deprecation warnings from gcc >= 4.2
%patch0 -p0

dos2unix Readme.txt Copying.txt

%build
%{__make}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 glaurung $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 kpk.bin $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Copying.txt Readme.txt
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Aug 31 2009 AxelKoellhofer@web.de
- added a polyglot startup script (i.e. for use with xboard)
  simply typing "xboard -fcp glaurung121-polyglot" (engine = white) 
  or "xboard -scp glaurung121-polyglot" (engine = black) will work
* Thu Aug 27 2009 AxelKoellhofer@web.de
- modified startup
  The two scripts /usr/bin/glaurung121 and /usr/bin/xglaurung121
  both check if there is a $HOME/.glaurung121 directory
  containing an opening book and a polyglot ini-file;
  if not, the files are copied from /usr/share/glaurung121.
  In this way every user can run a "personalized" configuration
  as all of the configuration stuff is handled within $HOME.
* Wed Aug 26 2009 AxelKoellhofer@web.de
- fixed wrong error message in xboard-script if polyglot is not installed
* Mon Aug 24 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 1.2.1

